Skip to main content
Control Plane

Get Metadata

Get the runtime and version of the control plane.

A request made with the admin token also receives actorNames.

GET https://rivet.example.com/metadata

Examples

Authentication

No authentication is required.

Responses

200

Runtime and version metadata.

FieldTypeDescription
runtime"engine"Always engine.
versionstringVersion of the control plane.
envoyProtocolVersionintegerVersion of the protocol nodes use to connect to the control plane.
actorNamesobjectActor names the default namespace’s connected nodes accept. Only present for requests made with the admin token.
{
  "runtime": "engine",
  "version": "<version>",
  "envoyProtocolVersion": 0,
  "actorNames": {}
}

500

core.internal_error: an unexpected failure. Details are only logged on the server.

FieldTypeDescription
groupstringError group, for example actor.
codestringError code within the group, for example not_found.
messagestringHuman-readable error message.
metadataanyExtra details. Only present on some errors raised while authenticating or authorizing the request.
{
  "group": "core",
  "code": "internal_error",
  "message": "An internal error occurred"
}